﻿////mr-bundler-ignore
const Mrfv = false;
function MrStartUI() {
  MrMUISecoundryColor = '#3464AF';
  MrMUIPrimaryColor = '#F5F5F5';
  MrMUIToolWidth = "30vw";
  MrMUIToolMaxHeight = "91vh";
  MrMUIToolMaxWidth = "600px";
  MrMUIToolMinWidth = "450px";
  MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
  MrCID = 180;
  MrAudCid = 0;
  Mrnoggt = Mrfv;
  MrArabicUIisOn = jQuery('.language-switcher > li > a').text().trim() == 'English';

  MrArabicFlag = "omn";
  var Features = [];
  var profiles = [];
  
  if (Mrfv) {
    Features = [
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments"
    ];
    profiles = [
      'MrADHD',
      'MrVisuallyImpaired'
    ];
  } else {
    Features = [
      
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrHideImgs",
      "MrRealWords_Spacing",
      "MrWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments",
      "MrPage_Structure"
    ];
  

    profiles = ['MrVisuallyImpaired', 'Mrdyslexia', 'MrADHD', 'MrSeizureAndEpilepsy', 'MrColor_Blind', 'Mrcognitive_education', 'MrImpaired_mobility'];
  }

  MRUAPPrepareUI(Features, profiles);

  var MrIconMessage = undefined;
  if (MrArabicUIisOn) {
    MrIconMessage = "مساعدة في استخدام الموقع";
  } else {
    MrIconMessage = "Assist using site";
  }


  MrGotoArabicVersion = function () {
    try {
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
    } catch (err) { }
    if (!MrArabicUIisOn) {
      var href = jQuery('.language-switcher > li > a').attr('href');
      window.location.href = href;
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
    try {
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
    } catch (err) { }
    if (MrArabicUIisOn) {
      var href = jQuery('.language-switcher > li > a').attr('href');
      window.location.href = href;
      MrUPChangeToolLAngToEN();
    }
  };
  var leftright = "left : 9px";
  if(MrArabicUIisOn){
    leftright = "right : 9px";
  }
  var MrIconToAdd =
    '<div id="MrAccessInHand" title="' +
    MrIconMessage +
    '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
    MrIconMessage +
    '"></div>';
  MrUAPAddStyle(
    ".mr-muiTool {z-index : 999999999} #MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 9999999;cursor:pointer; position: fixed; bottom: 130px; "+leftright+"; background-color: " +
    MrMUISecoundryColor +
    "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
    MrUtilHexToFilter(MrMUIWhite) +
    ";margin-top:5px;width:48px}",
    "MrbuttonCSS"
  );
  jQuery("body").append(MrIconToAdd);

  jQuery("#MrAccessInHand").click(function () {
    MrToolCheckLicense();
  if(Mrfv){
    jQuery('div[data-mrmui-tab-index="1"]').hide();
  }
    MrUAPShowAssistiveTool();
    MrMUIGetGoogleTranslationValues(2);
    if (MrArabicUIisOn) {
      jQuery('div[data-mrmui-tab-index="2"] > div[mrtitleen="Arabic"]').css("background-color", MrMUISecoundryColor);
      jQuery('div[data-mrmui-tab-index="2"] > div[mrtitleen="Arabic"] > label').css("color", MrMUIWhite);
    } else {
      jQuery('div[data-mrmui-tab-index="2"] > div[mrtitleen="English"]').css("background-color", MrMUISecoundryColor);
      jQuery('div[data-mrmui-tab-index="2"] > div[mrtitleen="English"] > label ').css("color", MrMUIWhite);
    }
  });
  MrUAPPrepareMrOrgColor();
  MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
  setTimeout(function () {
    MrStartUI();
  }, 500);
});